チケット #519 (closed 新機能・拡張: fixed)

登録: 12 年 前

最終更新: 11 年 前

Debug#console() の追加

報告者: shinomiya 担当者: shinomiya
優先度: major マイルストーン: 0.1.2
コンポーネント: im-jssp バージョン: 0.1.2
キーワード: 関係者:

チケットの概要

API仕様

オブジェクトの内容をコンソール上に表示します。

表示される内容は JSON 形式の文字列です。 そのため、本メソッドの出力内容を JavaScriptソースにコピーすることで、 JavaScriptオブジェクトに戻すことが出来ます。

  • サンプルコード ファンクションコンテナ(.js)
     var obj = 
     // Debug.console()の結果 ここから
     /* Object */
     {
         /* String */
         "prop1" : "文字列1",
     
         /* Date */  // Fri May 25 2007 16:50:16 GMT+0900 (JST)
         "prop2" : new Date(1180079416500),
     
         /* Number */
         "prop3" : 256
     }
     // Debug.console()の結果 ここまで
    

このメソッドは、ImJson#toJSONString?() を利用しています。 そのため、JSON文字列として正しくないプロパティは表示されません。 (例えば、Array型のオブジェクトに設定されたプロパティは、表示されません)

JSON (JavaScript Object Notation)は、軽量のデータ交換フォーマットです。 JSON については、JSON の紹介 を参照してください。

チケットの履歴

2007/09/28 12:13:47 更新者:shinomiya

  • ステータスnew から assigned に更新されました。

2007/09/28 16:17:23 更新者:shinomiya

  • ステータスassigned から closed に更新されました。
  • 解決方法fixed に更新されました。

追加しました。
チェンジセット[123] [124]

2007/12/27 20:29:41 更新者:shinomiya

Debug.console()のサンプルコードを追加しました。[160]

2008/09/05 14:55:57 更新者:shinomiya

  • コンポーネントim-jssp-extention から im-jssp に更新されました。